> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galtea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create user group

> Create a new user group. See [User Groups](https://docs.galtea.ai/concepts/user-group).



## OpenAPI

````yaml https://api.galtea.ai/openapi.json post /userGroups
openapi: 3.0.0
info:
  version: 1.0.0
  title: Product Management Service API
  description: API documentation for Product Management Service
  contact:
    name: Galtea AI
servers:
  - url: https://api.galtea.ai
security:
  - bearerAuth: []
tags: []
externalDocs:
  description: Galtea Platform Documentation
  url: https://docs.galtea.ai
paths:
  /userGroups:
    post:
      tags:
        - user-groups
      summary: Create user group
      description: >-
        Create a new user group. See [User
        Groups](https://docs.galtea.ai/concepts/user-group).
      operationId: createUserGroup
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
                - organizationId
              properties:
                name:
                  type: string
                  example: Example Name
                organizationId:
                  type: string
                  example: org_123
                type:
                  type: string
                description:
                  type: string
                  example: A description
      responses:
        '201':
          description: User group created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserGroup'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    UserGroup:
      type: object
      properties:
        id:
          type: string
          example: ug_123
        organizationId:
          type: string
          example: org_123
        name:
          type: string
          example: QA Team
        type:
          type: string
          enum:
            - EVALUATOR
          example: EVALUATOR
        description:
          type: string
          nullable: true
          example: Quality assurance team
        createdAt:
          type: string
          format: date-time
        userIds:
          type: array
          items:
            type: string
          example:
            - user_123
        metricIds:
          type: array
          items:
            type: string
          example:
            - metric_123
    Error:
      type: object
      properties:
        error:
          type: string
          example: Error type
        message:
          type: string
          example: Error message description
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key authorization. Pass your API key in the Authorization header as
        a Bearer token. Both new (`gsk_*`) and legacy (`gsk-`) API keys are
        accepted, e.g. `Authorization: Bearer gsk_...` or `Authorization: Bearer
        gsk-...`.

````